Qikberry API Docs
SMSWhatsapp Cloud API
RCS for BusinessVMNVerifyIntegrations
SMSWhatsapp Cloud API
RCS for BusinessVMNVerifyIntegrations
Qikberry.AI
App
  1. Non-templates messages
  • Introduction
  • Catalog Messages
  • Payment Messages
  • Non-templates messages
    • Interactive
      • URL button
      • List buttons
      • Media carousel
      • Reply buttons
    • Address
      POST
    • Audio
      POST
    • Document
      POST
    • Contacts
      POST
    • Image
      POST
    • Location
      POST
    • Video
      POST
    • Text
      POST
  1. Non-templates messages

Document

POST
https://rest.qikberry.ai/v1/whatsapp/messages
Send documents that users can download and view directly in WhatsApp.
document_message_img.png

Supported document types#

Document TypeSupported FormatsMaximum File Size
Text File.txt100 MB
Excel.xls, .xlsx100 MB
Word.doc, .docx100 MB
PowerPoint.ppt, .pptx100 MB
PDF.pdf100 MB
Only the listed document formats are officially supported and guaranteed to work correctly in WhatsApp. Other file types may not display properly.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
The request was successfully accepted for processing. The response returns a confirmation message along with the unique message ID and the recipient's WhatsApp number.
Bodyapplication/json

🟠401Unauthorized
🟠400Bad Request
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://rest.qikberry.ai/v1/whatsapp/messages' \
--header 'x-phone-number: <WA_ID>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "to": "<USER_PHONE_NUMBER>",
    "type": "document",
    "document": {
        "link": "<DOCUMENT_URL>",
        "filename": "<FILE_NAME>",
        "caption": "<CAPTION>"
    }
}'
Response Response Example
200 - SUCCESS
{
    "message": "1 numbers accepted",
    "data": [
        {
            "messageId": "<MESSAGE_ID>",
            "mobile": "<USER_PHONE_NUMBER>"
        }
    ]
}
Modified at 2026-07-29 11:09:43
Previous
Audio
Next
Contacts
Built with